Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1FileSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1FileSearchParameters

Record Components:
  `fieldSearch` - The file description search query.
  `fieldMediaType` - The file media type search query.
  `fieldSizeRange` - The file size range query.
  `fieldOrder` - The file result ordering.
  `fieldLimit` - The file limit.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1FileSearchParameters(CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldSearch, CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldMediaType, CAI1SizeRange fieldSizeRange, CAI1FileColumnOrdering fieldOrder, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
The file search parameters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1FileSearchParameters(CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldSearch, CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldMediaType, CAI1SizeRange fieldSizeRange, CAI1FileColumnOrdering fieldOrder, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit)`
  Creates an instance of a `CAI1FileSearchParameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1FileSearchParameters`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1FileSearchParameters.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32`
  `fieldLimit()`
  Returns the value of the `fieldLimit` record component.
  `CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldMediaType()`
  Returns the value of the `fieldMediaType` record component.
  `CAI1FileColumnOrdering`
  `fieldOrder()`
  Returns the value of the `fieldOrder` record component.
  `CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldSearch()`
  Returns the value of the `fieldSearch` record component.
  `CAI1SizeRange`
  `fieldSizeRange()`
  Returns the value of the `fieldSizeRange` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1FileSearchParameters $x)`
  Serialize a value of type CAI1FileSearchParameters.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1FileSearchParameters

    public CAI1FileSearchParameters(CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldSearch, CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldMediaType, CAI1SizeRange fieldSizeRange, CAI1FileColumnOrdering fieldOrder, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit)
    Creates an instance of a `CAI1FileSearchParameters` record class.
    Parameters:
      `fieldSearch` - the value for the `fieldSearch` record component
      `fieldMediaType` - the value for the `fieldMediaType` record component
      `fieldSizeRange` - the value for the `fieldSizeRange` record component
      `fieldOrder` - the value for the `fieldOrder` record component
      `fieldLimit` - the value for the `fieldLimit` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1FileSearchParameters $x) throws IOException
    Serialize a value of type CAI1FileSearchParameters.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1FileSearchParameters deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1FileSearchParameters.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1FileSearchParameters.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldSearch

    public CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldSearch()
    Returns the value of the `fieldSearch` record component.
    Returns:
      the value of the `fieldSearch` record component

  - ### fieldMediaType

    public CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldMediaType()
    Returns the value of the `fieldMediaType` record component.
    Returns:
      the value of the `fieldMediaType` record component

  - ### fieldSizeRange

    public CAI1SizeRange fieldSizeRange()
    Returns the value of the `fieldSizeRange` record component.
    Returns:
      the value of the `fieldSizeRange` record component

  - ### fieldOrder

    public CAI1FileColumnOrdering fieldOrder()
    Returns the value of the `fieldOrder` record component.
    Returns:
      the value of the `fieldOrder` record component

  - ### fieldLimit

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit()
    Returns the value of the `fieldLimit` record component.
    Returns:
      the value of the `fieldLimit` record component